.filter-container {
  padding: 10px 39px;
}

@media (max-width: 1024px) {
  .filter-container {
      padding: 10px 42px;
  }
}

@media (max-width: 767px) {
  .filter-container {
      padding: 18px 20px;
  }
}

.filter-btn-container {
  gap: 8px;
  margin-right: 10px;
}

[dir="rtl"] .filter-btn-container {
  gap: 8px;
  margin-left: 10px;
}

.filter-btn {
  background-color: black;
  height: 34px;
  width: 34px;
  gap: 8px;
  transition: all 0.3s ease-in-out;
}

.filter-btn:hover {
  background-color: rgb(26, 26, 26);
}

.filter-btn span {
  font-size: 12px;
  font-weight: 400;
  color: var(--text-color-primary);
}

.filter-section-container {
  position: absolute;
  max-height: auto;
  width: 384px;
  background-color: white;
  left: 0;
  top: 60px;
  z-index: 50;
  padding: 0;
  opacity: 0;
  visibility: hidden;
}

.filter-section-container #filter-close-btn {
  padding: 16px 12px;
}

.filter-section-container.show {
  right: unset;
  left: 0;
  opacity: 1;
  visibility: visible;
}

@media (max-width: 767px) {
  .filter-section-container {
      width: 100%;
      top: 36px;
      max-height:auto;
  }
}


html[dir="rtl"] .filter-section-container.show {
  left: unset;
  right: 0;
}

.filter-item {
  font-size: 21px;
  font-weight: 500;
  color: var(--text-color-primary);
}

.filter-item .color-box {
  height: 30px;
  width: 30px;
  border-radius: 50%;
}

.range_container {
  --_marker-border-clr: var(--secondary-color);
  --_marker-size: 20px;
  --_track-heigt: 7px;
  --_tooltip-bg-clr: rgba(255, 2, 87, 0.4);
  --_tooltip-txt-clr: var(--_marker-border-clr);
  width: 100%;
  max-width: 600px;
  display: flex;
  flex-direction: column;
}

.sliders_control {
  position: relative;
}

.slider-tooltip {
  height: 40px;
  max-width: 156px;
  flex: 1;
  color: #676E7B;
  border-radius: 8px;
  border: 1px solid rgba(238, 238, 238, 0.93);
  background: #FFF;
  font-size: 18px;
  font-weight: 900;
  text-align: right;
  display: flex;
  align-items: center;
  justify-content: end;
  padding: 0 12px;
}

[dir="rtl"] .slider-tooltip {
  text-align: left;
}

.slider-tooltip:focus {
  outline: 1px solid var(--secondary-color);
}

.slider-tooltip-container span.label {
  position: absolute;
  color: #676E7B;
  font-size: 18px;
  top: 50%;
  transform: translateY(-50%);
  left: 12px;
}

[dir="rtl"] .slider-tooltip-container span.label {
  left: unset;
  right: 12px;
}

input[type=range]::-webkit-slider-thumb {
  -webkit-appearance: none;
  pointer-events: all;
  width: var(--_marker-size);
  height: var(--_marker-size);
  border-radius: 50%;
  border: 1px solid var(--secondary-color);
  background-color: #EDEDED;
  cursor: pointer;
  margin-top: -2px;
}

input[type=range]::-moz-range-thumb {
  -webkit-appearance: none;
  pointer-events: all;
  width: var(--_marker-size);
  height: var(--_marker-size);
  border-radius: 50%;
  border: 1px solid var(--secondary-color);
  background-color: #EDEDED;
  cursor: pointer;
  margin-top: -2px;
}

input[type=range]::-webkit-slider-thumb:hover {
  background: #f7f7f7;
}

input[type=range]::-webkit-slider-thumb:active {
  box-shadow: inset 0 0 3px var(--secondary-color), 0 0 9px var(--secondary-color);
  -webkit-box-shadow: inset 0 0 3px var(--secondary-color), 0 0 9px var(--secondary-color);
}

input[type="range"] {
  -webkit-appearance: none;
  appearance: none;
  height: var(--_track-heigt);
  width: 100%;
  position: absolute;
  background-color: black;
  pointer-events: none;
}

#fromSlider {
  height: 0;
  z-index: 1;
}

.scale {
  display: flex;
  justify-content: space-between;
  margin-top: 1.7rem;
  position: relative;
  width: calc(100% - var(--_marker-size));
  margin-inline: auto;
  font-size: 0.8rem;
}

.filter-count{
  display: none;
}

.scale div {
  position: absolute;
  translate: -50% 0;
}

.scale div::before {
  content: '';
  position: absolute;
  top: -21%;
  left: 50%;
  translate: -50% -125%;
  width: 1px;
  height: 18px;
  background-color: #666;
}

#toSlider {
  background: var(--background-primary-color);
}

.products-filters-container .attribute-group:last-child,
.products-filters-container .filtration-header {
  display: none;
}

.products-filters-container {
  margin-top: 0 !important;
}

.products-filters-container .attribute-group {
  margin-bottom: 0 !important;
  border: none;
  padding: 12px 20px;
  border-radius: 0;
  border-bottom: 1px solid var(--grid-border-color);
}

.products-filters-container .attribute-group .attribute-header {
  padding: 0;
}

.products-filters-container .attribute-group .attribute-header .attribute-name,
.filter-items #price-slider {
  color: #36393E;
  font-size: 20px;
  font-weight: 900;
  line-height: 24px;
}

.filter-items #price-slider:focus {
  outline: none;
}

@media (max-width: 767px) {
  .products-filters-container .attribute-group .attribute-header .attribute-name,
  .filter-items #price-slider {
      font-size: 16px;
  }
}

.products-filters-container .attribute-group .filter-row {
  cursor: pointer;
  width: 80px;
  height: 120px;
  border: 1px solid #E4ECFD;
  border-radius: 8px;
  align-items: end;
  justify-content: center;
  padding: 0;
  padding-bottom:8px;

}
.products-filters-container .attribute-group .filter-row.active {
  border : 3px solid #22A7FA;
}

.products-filters-container .attribute-group .attribute-body {
  margin-top: 17px;
  min-height: 30px;
  gap: 8px;
  flex-direction: row;
}

.products-filters-container .attribute-group .attribute-body .attribute-color {
  height: 30px;
  width: 30px;
}

.products-filters-container .attribute-group .attribute-body .attribute-label {
  font-size: 12px;
  margin: 0;
  padding: 0;
  pointer-events: none;
}

.products-filters-container .attribute-group .checkbox.checkbox-async {
  width: 17px !important;
  margin-right: 8px !important;
}

[dir="rtl"] .products-filters-container .attribute-group .checkbox.checkbox-async {
  margin: 0;
  margin-left: 8px;
}

.save-filter-btn,
.clear-filter-btn {
  cursor: pointer;
  font-size: 16px !important;
  font-weight: 500 !important;
  width: 160px;
  height: 36px;
  border-radius: 0;
  color: var(--background-primary-color);
  display: flex;
  align-items: center;
  justify-content: center;
  transition: all var(--main-transition) ease-in-out;
}

.save-filter-btn {
  background-color: var(--background-primary-color);
  color: white;
}

.clear-filter-btn {
  border: 1px solid var(--background-primary-color);
}

.clear-filter-btn:hover {
  border: 1px solid var(--text-color-primary);
}

.product-attributes {
  width: 100% !important;
  margin: 0 !important;
  padding-inline-end: 0 !important;
}

@media (max-width:768px) {
  .filtration-header{
    display: none;
  }
  .product-attributes {
    position: static ;
  }
}

.products-filters-container {
  height: auto;
  overflow-y: visible;
  background-color: #fff;
  max-height: none;
  opacity: 1 !important;
}

.attribute-image {
  display: block;
  max-width: 50px !important;
  max-height: 82px !important;
}

.products-filters-container {
  width: 370px;
}

.attribute-label {
  font-size: 16px;
  font-weight: 900;
  color: #36393E;
  display: flex;
  flex-direction: column;
}

.attribute-arrow {
  display: none;
}

@media (max-width: 768px) {
  .products-filters-container {
      width: 340px;
  }
}



@media (max-width: 768px) {
  .product-attributes-light-box {
      position: static !important; 
      height: auto !important; 
      background-color: transparent !important;
      justify-content: end !important;
      width: 100% !important;
  }
}

@media (max-width: 768px) {
  .products-filters-container {
      height: auto !important;
      overflow-y: auto !important;
      background-color: #fff !important;
      max-height: 100% !important; 
      opacity: 1 !important;
  }
}


@media (max-width: 768px) {
  .product-attributes {
      position: static !important; 
  }
}
@media (max-width: 768px) {
  .attribute-label {
      background-color: transparent !important;
  }
}

@media (max-width: 768px) {
  .products-filters-attribute-form {
      margin-top: 0 !important;
      padding-bottom: 0 !important;
  }
}